import { z } from 'zod';

const userPrivilege = z.object({
  privilegeType: z.string(),
  objectId: z.string().nullable(),
});

export const userPrivilegesSchema = z.object({
  privileges: z.array(userPrivilege),
});
